<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="newVersionForm">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="updateValidatorPanel"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xval.UpdateAGazelleCrossValidator']}</ui:define>
            <s:div id="updateValidatorPanelContent">
                <s:div rendered="#{validatorAdministrationManager.validatorForUpdate == null}">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.NoValidatorSelected']}" styleClass="message"/>
                </s:div>
                <s:div rendered="#{validatorAdministrationManager.validatorForUpdate != null}">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xval.YouAreAboutToEditTheFollowingValidatorTheOneIsMa']}"/>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Name']}</ui:define>
                            <h:outputText value="#{validatorAdministrationManager.validatorForUpdate.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.AffinityDomain_2']}</ui:define>
                            <h:outputText value="#{validatorAdministrationManager.validatorForUpdate.affinityDomain}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.CurrentVersion']}</ui:define>
                            <h:outputText value="#{validatorAdministrationManager.validatorForUpdate.version}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.OID']}</ui:define>
                            <h:outputText value="#{validatorAdministrationManager.validatorForUpdate.oid}"/>
                        </s:decorate>
                    </dl>
                    <a4j:region>
                        <s:decorate template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="commentInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Comment']}</ui:define>
                            <h:inputTextarea value="#{validatorAdministrationManager.comment}"
                                             style="resize:both;" id="commentInput"
                                             styleClass="form-control"/>
                        </s:decorate>
                    </a4j:region>
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.DoYouReallyWantToSwitchToMaintenanceMode']}"/>
                </s:div>
            </s:div>
            <ui:define name="popup_footer">
                <s:div id="updateValidatorPanelButtons">
                    <a4j:commandButton action="#{validatorAdministrationManager.updateValidator()}" value="#{messages['net.ihe.gazelle.xval.Yes']}"
                                       oncomplete="jq162('#updateValidatorPanel').modal('hide');"
                                       rendered="#{validatorAdministrationManager.validatorForUpdate != null}"
                                       styleClass="gzl-btn-green"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Cancel']}"
                                       oncomplete="jq162('#updateValidatorPanel').modal('hide');"
                                       immediate="true"
                                       actionListener="#{validatorAdministrationManager.setValidatorForUpdate(null)}"
                                       rendered="#{validatorAdministrationManager.validatorForUpdate != null}"
                                       styleClass="gzl-btn-orange"/>
                    <a4j:commandButton value="#{messages['gazelle.vut.Close']}"
                                       oncomplete="jq162('#updateValidatorPanel').modal('hide');"
                                       immediate="true" styleClass="gzl-btn"
                                       actionListener="#{validatorAdministrationManager.setValidatorForUpdate(null)}"
                                       rendered="#{validatorAdministrationManager.validatorForUpdate == null}"/>
                </s:div>
            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>
